Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.makumba.providers
Enum Configuration.DataSourceType

    java.lang.Object
      java.lang.Enum<Configuration.DataSourceType>
          org.makumba.providers.Configuration.DataSourceType

All Implemented Interfaces:
  Serializable, Comparable<Configuration.DataSourceType>

Enclosing class:
  Configuration

    public static enum Configuration.DataSourceType

extends Enum<Configuration.DataSourceType>

Enum Constant Summary
`hibernate`
`makumba`

Method Summary
`static Configuration.DataSourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Configuration.DataSourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### makumba

    public static final Configuration.DataSourceType makumba

### hibernate

    public static final Configuration.DataSourceType hibernate

Method Detail

### values

    public static Configuration.DataSourceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Configuration.DataSourceType c : Configuration.DataSourceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Configuration.DataSourceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Docs generated on 2009-02-25 14:20